Saltar al contenido principal
POST
/
api
/
v1
/
authorization
/
git
/
create
Crear un nuevo recurso de git
curl --request POST \
  --url https://apigw.mka1.com/api/v1/authorization/git/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resourceType": "repo",
  "resourceId": "<string>",
  "overwrite": false
}
'
import requests

url = "https://apigw.mka1.com/api/v1/authorization/git/create"

payload = {
"resourceType": "repo",
"resourceId": "<string>",
"overwrite": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({resourceType: 'repo', resourceId: '<string>', overwrite: false})
};

fetch('https://apigw.mka1.com/api/v1/authorization/git/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"<unknown>"

Autorizaciones

Authorization
string
header
requerido

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Encabezados

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Cuerpo

application/json
resourceType
enum<string>
requerido

Tipo de recurso de git

Opciones disponibles:
repo
resourceId
string
requerido

Identificador único para el recurso

Required string length: 1 - 79
overwrite
boolean
predeterminado:false

Si un propietario existente debe reemplazar relaciones directas por el recurso.

Respuesta

Recurso creado con éxito

The response is of type any.